import { RouterService } from '@lightweightform/core';
import { Context, ListSchema, RecordSchema } from '@lightweightform/schema';
export declare class TreeEntryComponent {
    routerService: RouterService;
    parentURI: string;
    context: Context;
    schema: RecordSchema | ListSchema<Record<string, any>, RecordSchema>;
    value: Record<string, any> | Array<Record<string, any>> | null;
    constructor(routerService: RouterService);
    readonly isFormList: boolean;
    readonly formNames: string[] | number[];
    readonly optionalFormNames: string[];
    schemaOf(formName: string | number): RecordSchema;
    valueOf(formName: string | number): Record<string, any>;
    navigateTo(evt: any, formName: string | number): void;
    initializeForm(formName: string): void;
    pushForm(): void;
    formLabel(formName: string | number): string | null;
    formURI(formName: string | number): string;
    showForm(formName: string | number): boolean;
    isActive(formName: string | number): boolean;
    showSubForms(formName: string | number): boolean;
    hasSubForms(formName: string | number): any;
    hasActiveSubForms(formName: string | number): boolean;
    buildChildContext(formName: string | number | number): Context;
}
